## dmapi-2.2.10.tar.xz

=== build/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

MANIFEST=src-manifest
SRCTAR=$(PKG_NAME)-$(PKG_VERSION).tar.gz

LDIRT = *-manifest *.gz $(TOPDIR)/$(PKG_NAME)-*

# for clean and clobber
SUBDIRS = tar rpm

# nothing to build here (it's all packaging)
default install install-dev install-lib:

include $(BUILDRULES)

# Symlink in the TOPDIR is used to pack files relative to
# product-version directory.
$(MANIFEST) : $(_FORCE)
	@if [ ! -L $(TOPDIR)/$(PKG_NAME)-$(PKG_VERSION) ] ; then \
	    $(LN_S) . $(TOPDIR)/$(PKG_NAME)-$(PKG_VERSION) ; \
	fi
	@CDIR=`pwd`; cd $(TOPDIR); \
	$(MAKE) --no-print-directory source | \
	    sed -e 's/^\./$(PKG_NAME)-$(PKG_VERSION)/' > $$CDIR/$@ ;\
	if [ $$? -ne 0 ] ; then  \
	    exit 1; \
	else \
	    unset TAPE; \
	    $(TAR) -T $$CDIR/$@ -cf - | $(ZIP) --best > $$CDIR/$(SRCTAR); \
	    echo Wrote: $$CDIR/$(SRCTAR); \
	fi

dist : default $(MANIFEST)
	@DIST_MANIFEST=`pwd`/bin-manifest; DIST_ROOT=/tmp/$$$$; \
	export DIST_MANIFEST DIST_ROOT; \
	rm -f $$DIST_MANIFEST; \
	echo === install === && $(MAKE) -C $(TOPDIR) install || exit $$?; \
	if [ -x $(TAR) ]; then \
	    ( echo "=== tar ===" && $(MAKEF) -C tar $@ || exit $$? ); \
	fi; \
	if [ -x $(RPMBUILD) ]; then \
	    ( echo "=== rpm ===" && $(MAKEF) -C rpm $@ || exit $$? ); \
	fi; \
	test -z "$$KEEP_DIST_ROOT" || rm -rf $$DIST_ROOT; echo Done

=== doc/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = INSTALL PORTING CHANGES COPYING
LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
ifneq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(PKG_DOC_DIR)
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

LIB_DOC_DIR = $(PKG_DOC_DIR)/../libdm0
install-dev:
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(LIB_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(LIB_DOC_DIR)
	$(INSTALL) -S CHANGES.gz $(LIB_DOC_DIR)/changelog.gz
endif

=== man/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man3

default : $(SUBDIRS)

install : $(addsuffix -install,$(SUBDIRS))

install-dev : $(addsuffix -install-dev,$(SUBDIRS))

%-install:
	$(MAKE) -C $* install

%-install-dev:
	$(MAKE) -C $* install-dev

include $(BUILDRULES)

=== build/tar/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

BINTAR=$(PKG_NAME)-$(PKG_VERSION).bin.tar.gz
LDIRT = *.gz

default install install-dev install-lib:

include $(BUILDRULES)

dist : default
	@HERE=`pwd`; cd $${DIST_ROOT:-/}; \
	$(SORT) -u $$HERE/../bin-manifest | $(AWK) ' \
		$$1 == "f" { printf (".%s\n", $$6); } \
		$$1 == "d" { next; } \
		$$1 == "l" { printf (".%s\n", $$3); }' \
	| $(TAR) -T - -cf - | $(ZIP) --best > $$HERE/$(BINTAR)
	@echo Wrote: `pwd`/$(BINTAR)

=== man/man3/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 3

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default install : $(MAN_PAGES)

include $(BUILDRULES)

install-dev : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)

=== debian/control ===
Source: dmapi
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Niv Sardi <xaiki@debian.org>
Build-Depends: xfslibs-dev (>= 2.7.13), autoconf, debhelper (>= 5), libtool
Standards-Version: 3.5.9

Package: libdm0
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Provides: dmapi
Replaces: dmapi
Recommends: xfsdump (>= 2.2.34)
Architecture: any
Description: Data Management API runtime environment
 Files required by system software using the Data Management API
 (DMAPI).  This is used to implement the interface defined in the
 X/Open document:  Systems Management: Data Storage Management
 (XDSM) API dated February 1997.  This interface is implemented
 by the libdm library.

Package: libdm0-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libdm0, xfslibs-dev (>= 2.7.13)
Provides: dmapi-dev
Replaces: dmapi-dev
Conflicts: xfslibs-dev (<< 2.7.13)
Architecture: any
Description: Data Management API static libraries and headers
 libdm0-dev contains the libraries and header files needed to
 develop programs which make use of the Data Management API
 (DMAPI).
